Apidog Auth Method API
    • API Key 1
      GET
    • API Key 2
      GET
    • Bearer Token
      GET
    • JWT Bearer
      GET
    • Basic Auth
      GET
    • Digest Auth
      GET
    • OAuth 2.0 1
      GET
    • OAuth 2.0 2
      GET
    • OAuth 2.0 3
      GET
    • OAuth 2.0 4
      GET
    • OAuth 1.0
      GET
    • Hawk
      GET
    • AWS
      GET
    • Keberos
      GET
    • NTLM
      GET
    • Akamai
      GET

      Digest Auth

      Developing
      GET
      /digest-auth

      Request

      Authorization
      Provide your encrypted digest scheme data in the
      Authorization
      header when making requests to protected resources.
      Example:
      Authorization: Digest username=guest, realm="test", nonce="2", uri="/uri", response="***"

      Responses

      🟢200Success
      application/json
      Body

      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location --request GET 'https://httpbin.org/anything/digest-auth' \
      --header 'Authorization: Digest <parameters>'
      Response Response Example
      {}
      Modified at 2025-07-25 05:45:08
      Previous
      Basic Auth
      Next
      OAuth 2.0 1
      Built with